<div class="agenda">
  <div class="d-flex">
    <div class="pps-header">
      <a class="style-font header_agenda" style="font-size: 28px;" (click)="checkSaveData()">
        <i style="font-size: 20px;" class="fa fa-chevron-left" id="NotSaveData" data-toggle="modal"
          data-target="#modalNotSaveData"></i>
        กำหนดการประชุมคณะกรรมการผลิตภัณฑ์ประจำปี</a>
    </div>
    <button type="button" class="btn btn-primary save-btn" [disabled]="(updown === '')  && (timechange === '') "
      (click)="onSave()" *ngIf="dataagendadetail.canDelete === true">
      บันทึก
    </button>
  </div>
  <br />

  <p class="pps-header_th">
    บันทึกกำหนดการวาระการประชุมคณะกรรมการผลิตภัณฑ์ประจำปี
  </p>
</div>

<div class="alert alert-success" role="alert" [ngStyle]="{ display: saveDraftstatus !== 'success' ? 'none' : '' }">
  <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark" />
    บันทึกงานแล้วเรียบร้อย</a>
</div>

<div class="add_agenda_year" [ngStyle]="{ display: edit_saved_data !== 'edit' ? '' : 'none' }">
  <label class="header_add_year"><B>รายละเอียดของกำหนดการประชุม</B></label>
  <br />
  <br />
  <div class="three-col row">
    <div class="date col-3">
      <label *ngIf="this.timechange !== 'timechange'">วันที่ประชุม {{dataagendadetail.meetingDate}}</label>&nbsp;&nbsp;
      <label *ngIf="this.timechange == 'timechange'">วันที่ประชุม {{agendadate}}</label>
      <!-- <label *ngIf="this.timechange !== 'timechange'">{{dataagendadetail.meetingDate}}</label> -->
      <!-- <label *ngIf="this.timechange == 'timechange'">{{agendadate}}</label> -->
    </div>
    <div class="date-start col-3">
      <label class="at" *ngIf="this.timechange !== 'timechange'">ตั้งแต่เวลา {{dataagendadetail.meetingTimeStart}} น.
      </label>
      <label class="at" *ngIf="this.timechange == 'timechange'">ตั้งแต่เวลา {{timestart}} น.</label>
      <!-- <label *ngIf="this.timechange !== 'timechange'">{{dataagendadetail.meetingTimeStart}}</label> -->
      <!-- <label *ngIf="this.timechange == 'timechange'">{{timestart}}</label> -->
      <!-- <label>น.</label> -->
    </div>
    <div class="date-end col-3">
      <label class="till" *ngIf="this.timechange !== 'timechange'">จนถึงเวลา {{dataagendadetail.meetingTimeEnd}} น.
      </label>
      <label class="till" *ngIf="this.timechange == 'timechange'">จนถึงเวลา {{timeend}} น.</label>
      <!-- <label *ngIf="this.timechange !== 'timechange'">{{dataagendadetail.meetingTimeEnd}}</label> -->
      <!-- <label *ngIf="this.timechange == 'timechange'">{{timeend}}</label> -->
      <!-- <label>น.</label> -->
    </div>
    <div class="edit_time col-3" *ngIf="dataagendadetail.canDelete === true">
      <button type="button" class="btn btn-primary edit_t" (click)="edit_time()">
        แก้ไขวันและเวลาที่ประชุม
      </button>
      <!-- <button type="button" class="btn btn-primary edit_t" data-toggle="modal" data-target="#editdatetime">
        แก้ไขวันและเวลาที่ประชุม
      </button> -->
    </div>
  </div>
</div>
<div class="add_agenda_year" [ngStyle]="{ display: edit_saved_data !== 'edit' ? 'none' : '' }">
  <label class="header_add_year"><B>รายละเอียดของกำหนดการประชุม</B></label>
  <br />
  <br />
  <div class="three-col">
    <div class="date_edit">
      <a>วันที่ประชุม</a>
      <div class="date_input">
        <div class="icon-warpper1">
          <!-- <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="dp.toggleCalendar()" /> -->
        </div>
        <div class="icon-warpper2">
          <!-- <i class="fa fa-close btn-delete" *ngIf="model" (click)="dp.clearDate()"></i> -->
        </div>
        <!-- <input angular-mydatepicker type="text" name="myDpOptions" [(ngModel)]="model" class="form-control"
          (ngModelChange)="time()" placeholder="ระบุวันที่ประชุม" [options]="myDpOptions" #dp="angular-mydatepicker"
          (click)="dp.toggleCalendar()" /> -->
        <app-date [datepicker_input]="{ role: null , dateData: agendadate, index: null, page: 'agenda' }"
          (DateChange)="agendadate = changeDateSearch($event)"></app-date>
      </div>
    </div>
    <div class="date-start_edit">
      <a>ตั้งแต่เวลา</a>&nbsp;&nbsp;
      <select (change)="time()" [(ngModel)]="timestart_hours" class="form-control browser-default" name="start_hours">
        <!-- <option value="00" disabled selected>00</option> -->
        <option *ngFor="let hours_1 of start_hours" [ngValue]="hours_1">{{
          hours_1
          }}</option>
      </select>
      &nbsp;
      <label style="font-size: 20px;">:</label>
      &nbsp;
      <select (change)="time()" [(ngModel)]="timestart_minute" class="form-control browser-default"
        name="start_minutes">
        <option *ngFor="let minutes_1 of start_minutes" [ngValue]="minutes_1">{{
          minutes_1
          }}</option>
      </select>
      &nbsp; &nbsp;
      <a>น.</a>
    </div>
    <div class="date-end_edit">
      <a>จนถึงเวลา</a>
      <select (change)="time()" [(ngModel)]="timeend_hours" class="form-control browser-default" name="start_hours">
        <!-- <option value="00" disabled selected>00</option> -->
        <option *ngFor="let hours_2 of start_hours" [ngValue]="hours_2">{{
          hours_2
          }}</option>
      </select>
      &nbsp;
      <label style="font-size: 20px;">:</label>
      &nbsp;
      <select (change)="time()" [(ngModel)]="timeend_minute" class="form-control browser-default" name="start_minutes">
        <option *ngFor="let minute_2 of start_minutes" [ngValue]="minute_2">{{
          minute_2
          }}</option>
      </select>
      &nbsp; &nbsp;
      <label>น.</label>
    </div>

    <div class="edit_time_save">
      <button type="button" class="btn btn-primary edit_t" (click)="save_time()">
        บันทึกวันและเวลาที่ประชุม
      </button>
    </div>
  </div>
</div>
<br />
<br />
<div class="table-responsives">
  <table>
    <thead>
      <tr>
        <th style="height: 48px;" *ngFor="let all of all_header">
          {{ all.value }}
        </th>
        <th style="height: 48px; width: 80px ">
          ปรับลำดับการประชุม
        </th>
        <th style="height: 48px;">
          แก้ไขครั้งที่ประชุม
        </th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>1</td>
        <td>
          ประธานแจ้งเพื่อทราบ
        </td>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <td>2</td>
        <td>
          รับรองรายงานการประชุมครั้งก่อน
        </td>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
      </tr>
      <tr *ngFor="let data of dataagendadetail.agenda; index as index">
        <td>
          {{index + 3}}
        </td>
        <td>
          {{data.agenda}}
        </td>
        <td style="text-align: left;">
          {{data.presentation}}
        </td>
        <td>
          <div [ngClass]="index % 2 == 0 ? 'color_sub_even' : 'color_sub_odd'"
            *ngFor="let row of data.agendaList;index as i">
            {{(index + 3)+ '.' +(i+1)}}
          </div>
        </td>
        <td>
          <div [ngClass]="index % 2 == 0 ? 'color_sub_even' : 'color_sub_odd'" *ngFor="let row of data.agendaList">
            {{row.requestName}}
          </div>
        </td>
        <td>
          <div [ngClass]="index % 2 == 0 ? 'color_sub_even' : 'color_sub_odd'" *ngFor="let row of data.agendaList">
            {{row.requestNo}}
          </div>
        </td>
        <td>
          <div [ngClass]="index % 2 == 0 ? 'color_sub_even' : 'color_sub_odd'" *ngFor="let row of data.agendaList">
            {{row.requestObjective}}
          </div>
        </td>
        <td>
          <div [ngClass]="index % 2 == 0 ? 'color_sub_even' : 'color_sub_odd'" *ngFor="let row of data.agendaList">
            {{row.productOwner}}
          </div>
        </td>
        <td>
          <div [ngClass]="index % 2 == 0 ? 'color_sub_even' : 'color_sub_odd'" *ngFor="let row of data.agendaList">
            {{row.sctr}}
          </div>
        </td>
        <td>
          <div [ngClass]="index % 2 == 0 ? 'color_sub_even' : 'color_sub_odd'" *ngFor="let row of data.agendaList">
            {{row.grp}}
          </div>
        </td>

        <td *ngIf="dataagendadetail.canDelete === false">
          <div [ngClass]="index % 2 == 0 ? 'color_sub_even' : 'color_sub_odd'"
            *ngFor="let agendaList of data.agendaList; index as p">
            <img class="arrow_up_green_disabled" src="../../../../assets/img/arrow_up_green.svg"
              (click)="up_data(data,agendaList,p)">
            &nbsp; &nbsp;
            <img class=" arrow_down_orange_disabled" src="../../../../assets/img/arrow_down_orange.svg"
              (click)="down_data(data,agendaList,p)">
          </div>
        </td>
        <td *ngIf="dataagendadetail.canDelete === true">
          <div [ngClass]="index % 2 == 0 ? 'color_sub_even' : 'color_sub_odd'"
            *ngFor="let agendaList of data.agendaList; index as p">
            <img class="arrow_up_green" src="../../../../assets/img/arrow_up_green.svg"
              (click)="up_data(data,agendaList,p)">
            &nbsp; &nbsp;
            <img class=" arrow_down_orange" src="../../../../assets/img/arrow_down_orange.svg"
              (click)="down_data(data,agendaList,p)">
          </div>
        </td>
        <td *ngIf="dataagendadetail.canDelete === false">
          <div [ngClass]="index % 2 == 0 ? 'color_sub_even' : 'color_sub_odd'"
            *ngFor="let agendaList of data.agendaList; index as p">
            <a class="disables-text"> แก้ไข </a>
          </div>
        </td>
        <td *ngIf="dataagendadetail.canDelete === true">
          <div [ngClass]="index % 2 == 0 ? 'color_sub_even' : 'color_sub_odd'"
            *ngFor="let agendaList of data.agendaList; index as p">

            <a class="edit_sub" (click)="edit_agendaadd(agendaList.requestId)"> แก้ไข </a>
          </div>
        </td>

      </tr>
    </tbody>
  </table>
</div>
<br />
<br />

<div class="detail_text">
  <label class="textdetail"><B>รายละเอียดเพิ่มเติม</B></label>
  <br />
  <textarea class="form-control" rows="5" placeholder="ระบุรายละเอียดเพิ่มเติม"></textarea>
</div>
<br />
<br />

<!-- Model not saved data -->
<div class="modal fade" id="modalNotSaveData" tabindex="-1" role="dialog" aria-labelledby="modalNotSaveDataTitle"
  aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-body">
        <button type=" button" class="close modal-close" data-dismiss="modal" aria-label="Close"
          style="margin: 15px;color: #999999;">
          <span aria-hidden="true">&times;</span>
        </button>
        <div class="header_detail">
          <div class="d-flex header-text">
            <img src="../../../../../assets/img/checkmark-s.png" class="icon_checkmark" />
            &nbsp; &nbsp;
            <label class="header-text">ยืนยันการดำเนินการ</label>
          </div>
        </div>
        <div class="body-detail">
          <div class="body-text">
            <div class="text">
              <label>คุณยังไม่ได้บันทึกข้อมูล</label>
            </div>
            <div class="text">
              <label>ต้องการบันทึกข้อมูลหรือไม่ ?</label>
            </div>
            <div class="footer">
              <button class="btn btn-primary back-user-btn" data-dismiss="modal" (click)="back_main()">
                ยกเลิก
              </button>
              <button class="btn btn-primary add-user-btn" data-dismiss="modal">
                ตกลง
              </button>
            </div>
          </div>
        </div>
        <br />
      </div>
    </div>
  </div>
  <!-- End Model not saved data -->

  <!-- Model Edit DateTime -->
  <!-- <div class="modal fade" id="editdatetime" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle"
  aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div>
        <button type=" button" class="close modal-close" data-dismiss="modal" aria-label="Close"
          style="margin: 15px;color: #999999;">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <span class="model-editdatetime-text">ให้ย้ายวาระการประชุมทั้งหมดไปการประชุมในครั้งที่</span>
        <select class="browser-default custom-select select-datetime"
          style="height: 40px;width: 500px;margin-top:30px;">
          <option value="" disabled selected>กรุณาเลือกวันและวันที่ประชุม</option>
        </select>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary edit_t" data-dismiss="modal" (click)="save_time()">
          บันทึกวันและเวลาที่ประชุม
        </button>
      </div>
    </div>
  </div>
</div> -->